<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gradient and Noise Customization</title>
    <link rel="stylesheet" href="background.css">
</head>
<body>
    <section>
        <div class="noise"></div>
    </section>

        <div class="control-panel">
            <div id="changeGradient" class="custom-button">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="icon-lootbox">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M9.813 15.904 9 18.75l-.813-2.846a4.5 4.5 0 0 0-3.09-3.09L2.25 12l2.846-.813a4.5 4.5 0 0 0 3.09-3.09L9 5.25l.813 2.846a4.5 4.5 0 0 0 3.09 3.09L15.75 12l-2.846.813a4.5 4.5 0 0 0-3.09 3.09ZM18.259 8.715 18 9.75l-.259-1.035a3.375 3.375 0 0 0-2.455-2.456L14.25 6l1.036-.259a3.375 3.375 0 0 0 2.455-2.456L18 2.25l.259 1.035a3.375 3.375 0 0 0 2.456 2.456L21.75 6l-1.035.259a3.375 3.375 0 0 0-2.456 2.456ZM16.894 20.567 16.5 21.75l-.394-1.183a2.25 2.25 0 0 0-1.423-1.423L13.5 18.75l1.183-.394a2.25 2.25 0 0 0 1.423-1.423l.394-1.183.394 1.183a2.25 2.25 0 0 0 1.423 1.423l1.183.394-1.183.394a2.25 2.25 0 0 0-1.423 1.423Z" />
                </svg>
            </div>
          
            <div class="color-picker-container">
                <input type="color" id="colorA" class="hidden-color-picker">
                <div class="custom-color-picker" onclick="document.getElementById('colorA').click();"></div>

                <input type="color" id="colorB" class="hidden-color-picker">
                <div class="custom-color-picker" onclick="document.getElementById('colorB').click();"></div>
            </div>

              
            <div id="noise-toggle" class="button-cover">
                <label for="noiseToggle">Noise:</label>
                <div class="button b2">
                    <input type="checkbox" class="checkbox" id="noiseToggle" checked />
                    <div class="knobs">
                        <span></span>
                    </div>
                    <div class="layer"></div>
                </div>
            </div>
            <!-- Blur On/Off Toggle -->
            <div id="blur-toggle" class="button-cover">
                <label for="blurToggle">Blur:</label>
                <div class="button b2">
                    <input type="checkbox" class="checkbox" id="blurToggle" />
                    <div class="knobs">
                        <span></span>
                    </div>
                    <div class="layer"></div>
                </div>
            </div>

            <div class="slider">
                <label for="noiseOpacity">Opacity:</label>
                <input type="range" id="noiseOpacity" min="0.05" max="0.3" step="0.001">
            </div>
            <div class="slider">
                <label for="grainSize">Grain Size:</label>
                <input type="range" id="grainSize" min="1" max="100" step="0.1">
            </div>
            <!-- Blur Intensity Slider -->
            <div class="slider">
                <label for="blurIntensity">Intensity:</label>
                <input type="range" id="blurIntensity" min="0" max="10" step="0.01">
            </div>
        </div>
        <script src="background.js"></script>
    </body>
</html>


